import styled from 'styled-components';

import { color } from '../../constants/style';

export const PageNumber = styled.div`
  font-size: 12px;
  font-weight: bold;
  color: ${color.primary};
  text-align: right;
  margin-bottom: 5px;
`;

export const AnnotationBox = styled.div`
  border-radius: 4px;
  border: solid 1px ${color.black38};
  padding: 12px;
  width: 235px;
  margin-bottom: 12px;
  display: flex;
  flex-direction: column;
  cursor: pointer;
`;

export const Group = styled.div`
  display: flex;
  justify-content: space-between;
  align-items: center;

  span {
    font-size: 12px;
    color: gray;
  }

  :not(:first-child) {
    margin-top: 5px;
  }
`;

export const Content = styled.div`
  text-align: left;
  position: relative;
`;

export const Inner = styled.div`
  display: inline-block;
  position: relative;
  padding: 0 2px;
`;

export const Text = styled.div`
  z-index: 1;
  position: relative;
`;
