import React from 'react';
import { NextPage } from 'next';

import Navbar from '../containers/Navbar';
import Sidebar from '../containers/Sidebar';
import Toolbar from '../containers/Toolbar';
import FullScreenButton from '../containers/FullScreenButton';
import Placeholder from '../containers/Placeholder';
import PdfViewer from '../containers/PdfViewer';
import AutoSave from '../containers/AutoSave';
import Loading from '../containers/Loading';
import Embed from '../components/Embed';

const index: NextPage = () => (
  <>
    <Navbar />
    <Sidebar />
    <Toolbar />
    <Placeholder />
    <PdfViewer />
    <FullScreenButton />
    <AutoSave />
    <Loading />
    <Embed />
  </>
);

export default index;
